body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol {
  margin: 0;
  padding: 0;
  text-align: center;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

.content-container {
  justify-content: space-between;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

body {
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  background-color: #f0f8f7;
  color: #333;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  align-items: center;
  position: relative;
  background-color: #0f5751;
  color: white;
  padding: 25px;
}

.logo img {
  width: 200px;
}

.whatsapp-logo {
  display: block;
  position: fixed;
  width: 60px;
  height: auto;
  bottom: 10rem;
  right: 10px;
  z-index: 2;
}
.horizontal-list-container {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.filters {
  list-style: none;
  display: flex;
  gap: 10px;
  padding: 0;
}

.filters li {
  padding: 10px;
  cursor: pointer;
  text-decoration: none;
  background-color: transparent;
  color: #fff;
  border: none;
  border-radius: 5px;
  position: relative;
  transition: background-color 0.3s;
  font-family: sans-serif;
  font-size: 16px;
}

.filters li::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  width: 0;
  height: 2px;
  background-color: #ffffff;
  transition: width 0.3s ease-out, left 0.3s ease-out;
  transform-origin: bottom;
}

.filters li:hover::after {
  width: 100%;
  left: 0;
}

.filters a {
  text-decoration: none;
  color: inherit;
}

h1,
h2 {
  font-family: sans-serif;
  color: #222;
  font-weight: bold;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
  border-radius: 5px;
}

.image-container {
  float: left;
  max-width: 40%;
  margin: 20px 0;
}

.service-title {
  max-width: 100%;
  height: 50px;
  margin: 50px;
}

.service-item {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.service-content {
  flex: 1;
  padding: 20px;
  max-width: 600px;
  margin: 35px;
  justify-content: first baseline;
}

.service-item img {
  max-width: 95%;
  height: auto;
  border-radius: 5px;
}

.filter-nav {
  margin: 2px;
  padding: 5px;
}

#scrollToTopBtn {
  position: fixed;
  bottom: 100px;
  right: 20px;
  width: 40px;
  height: 40px;
  background-color: #ffffff;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  display: none;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.025);
  z-index: 1000;
  transition: opacity 0.4s ease;
}

#scrollToTopBtn.show {
  display: flex;
  opacity: 1;
}

#scrollToTopBtn:hover {
  background-color: #fdfdfd;
}

/* Media query for smaller screens */
@media (max-width: 768px) {
  .image-container {
    position: relative;
    overflow: hidden;
    float: left;
    max-width: 95%;
    margin: 20px 0;
    width: 100%;
    height: auto;
  }

  .service-title {
    max-width: 100%;
    height: auto;
    margin: 20px;
  }

  .service-content {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 5px;
  }

  .service-item img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 5px;
    transition: opacity 1s ease;
  }

  #portraitImage {
    order: -1;
  }

  #PromsImage {
    order: -1;
  }
}

@media (max-width: 235px) {
  .logo img {
    width: 50px;
  }
}

/*Footer */
.footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 30px;
  background-color: #f8f8f8;
  text-align: center;
}

.footer-container > div {
  margin: 15px 0;
}

/*Socials toolkit*/
ul {
  list-style: none;
}

.socials {
  display: flex;
  justify-content: center;
  align-items: center;
}
.socials .icon-content {
  margin: 0 10px;
  position: relative;
}
.socials .icon-content .tooltip {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  color: #fff;
  padding: 6px 10px;
  border-radius: 5px;
  opacity: 0;
  visibility: hidden;
  font-size: 14px;
  transition: all 0.3s ease;
}
.socials .icon-content:hover .tooltip {
  opacity: 1;
  visibility: visible;
  top: -50px;
}
.socials .icon-content a {
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  color: #4d4d4d;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover {
  box-shadow: 3px 2px 45px 0px rgb(0 0 0 / 12%);
}
.socials .icon-content a svg {
  position: relative;
  z-index: 1;
  width: 30px;
  height: 30px;
}
.socials .icon-content a:hover {
  color: white;
}
.socials .icon-content a .filled {
  position: absolute;
  top: auto;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: #000;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover .filled {
  height: 100%;
}

.socialssocials .icon-content a[data-social="linkedin"] .filled,
.socials .icon-content a[data-social="linkedin"] ~ .tooltip {
  background-color: #0274b3;
}

.socials .icon-content a[data-social="github"] .filled,
.socials .icon-content a[data-social="github"] ~ .tooltip {
  background-color: #24262a;
}
.socials .icon-content a[data-social="instagram"] .filled,
.socials .icon-content a[data-social="instagram"] ~ .tooltip {
  background: linear-gradient(
    45deg,
    #405de6,
    #5b51db,
    #b33ab4,
    #c135b4,
    #e1306c,
    #fd1f1f
  );
}
.socials .icon-content a[data-social="youtube"] .filled,
.socials .icon-content a[data-social="youtube"] ~ .tooltip {
  background-color: #ff0000;
}
/* Existing styles */
.socials .icon-content a[data-social="tiktok"] .filled,
.socials .icon-content a[data-social="tiktok"] ~ .tooltip {
  background-color: #000;
}

.socials .icon-content a[data-social="tiktok"] .filled {
  background: linear-gradient(45deg, #000000, #000000);
}

.socials .icon-content a[data-social="tiktok"] .tooltip {
  background: #000; /* Tooltip background for TikTok */
}

/* Contact Information and Business Hours */
.contact-info,
.business-hours {
  max-width: 300px;
}

.contact-and-bhrs {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 45px;
}

@media (max-width: 768px) {
  .contact-and-bhrs {
    flex-direction: column;
  }
}

.footer-container h4 {
  color: #004d40;
  margin-bottom: 10px;
}

/* Links Styling */
.footer-container a {
  color: #0f5751;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-container a:hover {
  color: #00796b;
}

.footer-bottom {
  text-align: center;
  padding-top: 10px;
  border-top: 1px solid #ddd;
  font-size: 0.9rem;
  color: #000000;
}


